# -*- coding: ISO-8859-1 -*-
# Copyright (C) 2004-2005 Luis Belmar-Letelier <luis@itaapy.com>
#               2005 Alexandre Fernandez <alex@itaapy.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.


# Import from itools
from itools.zope import get_context
from itools import uri

# Import from ikaaro
from Products.ikaaro import ui
from Products.ikaaro.Skin import Skin as ikaaroSkin


class FrontOffice1(ikaaroSkin):


    def template(self, content):
        """Skin template."""
        context = get_context()
        here, root, request = context.handler, context.root, context.request

        # Namespace
        namespace = {}

        # The breadcrumb
        bc = ikaaroSkin.get_breadcrumb(self)
        new_bc = []
        for dic in bc:
            dic['url'] = dic['url'].split(';')[0] + ';view'
            new_bc.append(dic)    
        namespace['breadcrumb'] = new_bc
        
        # The first folder
        path_names = [x.name for x in request.uri.path]
        menus = [handler for handler in 
                 root.get_handlers(format='PortalFolder')]
        menus = [{'url': '%s/;view' % here.get_pathto(handler), 
                  'name': handler.title or handler.name,
                  'in_path':handler.name in path_names} for handler in menus]
        namespace['menus'] = menus    
        
        # switch_skin
        namespace['to_backoffice'] = ';switch_skin' 

        # content, here our template have only one "slot": content
        namespace['body'] = content

        handler = ui.get_handler('frontoffice1/FrontOffice1_template.xhtml')
        # set_template_prefix dynamicly rewrite url for images and CSS
        handler = self.set_template_prefix(handler)
        return handler.stl(namespace)

