# -*- coding: ISO-8859-1 -*-
# Copyright (C) 2004-2005 Luis Belmar-Letelier <luis@itaapy.com>
#               2005 Alexandre Fernandez <alex@itaapy.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

# Import from Python
from datetime import datetime

# Import from itools
from itools.xml import XML, namespaces
from itools.xml.namespaces import AbstractNamespace as itoolsAbstractNamespace
from itools.handlers import IO

schema = {
    'expiration_date': {'type': IO.DateTime, 'default': datetime.now()},
    'description': {'type': IO.Unicode, 'default': u''},
    'rank': {'type': IO.Integer, 'default': 99},
    'title': {'type': IO.Unicode, 'default': u''},
    }


class Namespace(itoolsAbstractNamespace):

    class_uri = 'http://xml.itools.org/namespaces/port'
    class_prefix = 'port'

    def get_attribute_schema(name):
        try:
            return schema[name]
        except KeyError:
            raise XML.XMLError, 'unknown property "%s"' % name
    get_attribute_schema = staticmethod(get_attribute_schema)

print 'register portal namespaces'
namespaces.set_namespace(Namespace)


